package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 基础库管理对象 t_basic_library
 * 
 * @author liming
 * @date 2023-07-13
 */
@Data
@TableName("t_basic_library")
public class BasicLibrary   implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 基本库id */
    @TableId( value = "id", type = IdType.AUTO)
    private Long id;

    /** 基本库名 */
    @Excel(name = "基本库名")
    private String name;

    /** 波段值  默认38000 */
    @Excel(name = "波段值  默认38000")
    private Long bandValue;

    /** 引导码  500,100  校验size=2 */
    @Excel(name = "引导码  500,100  校验size=2")
    private String bootCode;

    /** 引导码发送次数 默认1  校验大于0 */
    @Excel(name = "引导码发送次数 默认1  校验大于0")
    private Long bootCodeSend;

    /** 数据码 */
    @Excel(name = "数据码")
    private String dateCode;

    /** 结束码 */
    @Excel(name = "结束码")
    private String overCode;

    /** 状态（0使用中 1未使用） */
    @Excel(name = "状态", readConverterExp = "0=使用中,1=未使用")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    private Date updateTime;

}
